--
-- ### Procedure in out checks
--

create table t1 ( a string(30), b int);

@
create procedure checkInOut ( inVal in string(30), inVal2 in int, outVal out string(30) ) return int
begin 

   insert into t1 values ( :inVal, :inVal2 );
   :outVal = 'This is out';
   return 42;
   
end;
@

desc procedure checkInOut;

:r = call checkInOut('Alpha', 22, :o);
print 'ReturnValue = ' | :r;
print 'OutVar = ' | :o;
select * from t1;

drop procedure checkInOut;
drop table t1;
